class CountiesController < ApplicationController
  def index
    @counties = County.all
  end

  def new
    @county = County.new
  end

  def create
    @county = County.new(params[:county])
    if @county.save
      flash[:notice] = "Saved new county"
      redirect_to counties_path
    else
      flash[:error] = "Could not save county"
    end
  end

  def edit
    @county = County.find(params[:id])
  end

  def update
    @county = County.find(params[:id])
    if @county.update_attributes(params[:county])
      flash[:notice] = "Updated county"
      redirect_to counties_path
    else
      flash[:error] = "Could not update county"
      redirect_to edit_county_path(@county)
    end            
  end

  def destroy
    @county = County.find(params[:id])
    @county.destroy
    redirect_to counties_path
  end

  def sort
    params[:counties].each_with_index do |id, index|
      County.update_all(['position=?', index+1], ['id=?', id])
    end
    render :nothing => true
  end
end
